List banks
curl --request GET \
--url https://api.swippee.com/v1/banks \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.swippee.com/v1/banks"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.swippee.com/v1/banks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"code": "NABIL",
"name": "Nabil Bank",
"founded_year": 123,
"swift_code": "<string>",
"nrb_class": "A",
"nrb_class_name": "Commercial Bank",
"website": "<string>",
"branches": 123,
"supported": true
}
]
}{
"error_type": "AUTHENTICATION_ERROR",
"error_code": "INVALID_API_KEY",
"error_message": "Unknown API key.",
"display_message": null,
"request_id": "req_8f3c9b2e4a1d4f7c9e0b1a2c3d4e5f60",
"documentation_url": "https://docs.swippee.com/concepts/errors#invalid_api_key",
"suggested_action": "Check your API key in the Authorization header."
}Banks
List banks
List all banks and wallets Swippee knows about, with live NRB BFI data. READ_ONLY scope, no quota consumed.
GET
/
v1
/
banks
List banks
⌘I